package com.faraphel.tasks_valider.database.dao

import androidx.room.Dao
import androidx.room.Query
import androidx.room.RewriteQueriesToDropUnusedColumns
import com.faraphel.tasks_valider.database.dao.base.BaseDao
import com.faraphel.tasks_valider.database.entities.Group
import com.faraphel.tasks_valider.database.entities.GroupStudent
import com.faraphel.tasks_valider.database.entities.Student


@Dao
interface GroupStudentDao : BaseDao<GroupStudent> {
    @Query("SELECT * FROM `group_student`")
    override fun getAll(): List<GroupStudent>

    @Query("SELECT * FROM `group_student` WHERE group_id = :groupId AND student_id = :studentId")
    fun getById(groupId: Long, studentId: Long): GroupStudent
}
